DROP LANGUAGE(7)

NAME
DROP LANGUAGE - remove a user-defined procedural language

SYNOPSIS

DROP [ PROCEDURAL ] LANGUAGE name [ CASCADE | RESTRICT ]

  INPUTS

name
    The name of an existing procedural language. For backward compatibility, the name may be enclosed by single quotes.

CASCADE
    Automatically drop objects that depend on the language (such as functions in the language).

RESTRICT
    Refuse to drop the language if there are any dependent objects. This is the default.

  OUTPUTS

DROP LANGUAGE
    This message is returned if the language is successfully dropped.

ERROR: Language "name" doesn't exist
    This message occurs if a language called name is not found in the database.

DESCRIPTION

DROP PROCEDURAL LANGUAGE will remove the definition of the previously registered procedural language called name.

  NOTES

The DROP PROCEDURAL LANGUAGE statement is a PostgreSQL language extension.

Refer to CREATE LANGUAGE [create_language(7)] for information on how to create procedural languages.

USAGE

This command removes the PL/Sample language:

DROP LANGUAGE plsample;

COMPATIBILITY

  SQL92

There is no DROP PROCEDURAL LANGUAGE in SQL92.